This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 12:45
Elapsed6m51s
Revision
Builder73a572b0-734d-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/58d2eb84-2a09-4eb6-b70a-9b2b361eb808/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/58d2eb84-2a09-4eb6-b70a-9b2b361eb808/targets/test
infra-commitbf7dc9346

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 12:45:53.754] process 29 exited with code 0 after 0.0m
I0331 12:45:53.755] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 12:45:53.755] Root: /workspace
I0331 12:45:53.755] cd to /workspace
I0331 12:45:53.755] Configure environment...
I0331 12:45:53.756] Call:  git show -s --format=format:%ct HEAD
W0331 12:45:53.762] fatal: not a git repository (or any of the parent directories): .git
I0331 12:45:53.763] process 42 exited with code 128 after 0.0m
W0331 12:45:53.763] Unable to print commit date for HEAD
I0331 12:45:53.763] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 12:45:54.333] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 12:45:55.265] process 43 exited with code 0 after 0.0m
I0331 12:45:55.265] Call:  gcloud config get-value account
I0331 12:45:56.267] process 56 exited with code 0 after 0.0m
I0331 12:45:56.267] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 12:45:56.267] Start 1244969072551006208 at ...
I0331 12:45:56.269] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_mpIHed gs://kubernetes-jenkins/logs/metrics-kettle/1244969072551006208/started.json
I0331 12:45:59.519] process 69 exited with code 0 after 0.1m
I0331 12:45:59.520] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 12:45:59.548] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 12:52:34.501] ERROR: table k8s-gubernator:build.week is 6.0 hours old. Max allowed: 6 hours.
I0331 12:52:34.502] Collected data:
I0331 12:52:34.502] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 12:52:34.502] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 12:52:34.502] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 12:52:34.502] 
W0331 12:52:34.589] Traceback (most recent call last):
... skipping 22 lines ...
W0331 12:52:34.592]     self.send(msg)
W0331 12:52:34.592]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 12:52:34.592]     self.connect()
W0331 12:52:34.592]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 12:52:34.593]     conn = self._new_conn()
W0331 12:52:34.593]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 12:52:34.593]     self, "Failed to establish a new connection: %s" % e
W0331 12:52:34.593] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f0453968e48>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 12:52:34.593] 
W0331 12:52:34.593] During handling of the above exception, another exception occurred:
W0331 12:52:34.593] 
W0331 12:52:34.593] Traceback (most recent call last):
W0331 12:52:34.593]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 12:52:34.593]     timeout=timeout
W0331 12:52:34.594]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 12:52:34.594]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 12:52:34.594]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 12:52:34.594]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 12:52:34.594] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f0453968e48>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 12:52:34.595] 
W0331 12:52:34.595] During handling of the above exception, another exception occurred:
W0331 12:52:34.595] 
W0331 12:52:34.595] Traceback (most recent call last):
W0331 12:52:34.595]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 12:52:34.595]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 12:52:34.597]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 12:52:34.597]     resp = self.send(prep, **send_kwargs)
W0331 12:52:34.597]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 12:52:34.597]     r = adapter.send(request, **kwargs)
W0331 12:52:34.597]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 12:52:34.598]     raise ConnectionError(e, request=request)
W0331 12:52:34.598] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f0453968e48>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 12:52:34.598] Traceback (most recent call last):
W0331 12:52:34.598]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 12:52:34.598]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 12:52:34.598]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 12:52:34.599]     check(*cmd)
W0331 12:52:34.599]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 12:52:34.599]     subprocess.check_call(cmd)
W0331 12:52:34.599]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 12:52:34.599]     raise CalledProcessError(retcode, cmd)
W0331 12:52:34.599] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 12:52:34.599] Command failed
I0331 12:52:34.599] process 251 exited with code 1 after 6.6m
E0331 12:52:34.600] FAIL: metrics-kettle
I0331 12:52:34.600] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 12:52:35.089] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 12:52:35.724] process 255 exited with code 0 after 0.0m
I0331 12:52:35.724] Call:  gcloud config get-value account
I0331 12:52:36.652] process 267 exited with code 0 after 0.0m
I0331 12:52:36.653] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 12:52:36.653] Upload result and artifacts...
I0331 12:52:36.653] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244969072551006208
W0331 12:52:36.653] Missing local artifacts : /workspace/_artifacts
W0331 12:52:36.653] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 12:52:36.654] metadata not found or invalid, init with empty metadata
I0331 12:52:36.654] Call:  git rev-parse HEAD
W0331 12:52:36.662] fatal: not a git repository (or any of the parent directories): .git
E0331 12:52:36.662] Command failed
I0331 12:52:36.662] process 280 exited with code 128 after 0.0m
I0331 12:52:36.663] Call:  git rev-parse HEAD
I0331 12:52:36.668] process 281 exited with code 0 after 0.0m
I0331 12:52:36.669] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 12:52:38.304] process 282 exited with code 0 after 0.0m
I0331 12:52:38.305] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585655513335521'
... skipping 8 lines ...